> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the public key which can be used to check the tokens



## OpenAPI

````yaml /openapi.yaml get /public_key
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /public_key:
    get:
      tags:
        - Authenticate
      summary: Get the public key which can be used to check the tokens
      operationId: getPublicKey
      responses:
        '200':
          description: The content of the public key, either in JWK or PEM format.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeyJWK'
            text/plain:
              schema:
                $ref: '#/components/schemas/PublicKeyPEM'
      security: []
components:
  schemas:
    PublicKeyJWK:
      type: object
      description: A public key in the JSON Web Key format.
      externalDocs:
        url: https://tools.ietf.org/html/rfc7517
      example:
        alg: ES384
        crv: P-384
        kid: ES384-key
        kty: EC
        use: sig
        x: TOl-t2xT1p21AXF-cvd35uKRDOeXejEJ3KTMc-vVD-wEs4TSVGYt2OlICe7dTRtb
        'y': tUGr_xN9xZsolH3DeFVWXjd0IJ1ZNzC-hippE8XApU7phY_KVKEbrrW8fg72uJiP
    PublicKeyPEM:
      type: string
      description: A public key in the Privacy-Enhanced Mail format.
      externalDocs:
        url: https://en.wikipedia.org/wiki/Privacy-Enhanced_Mail
      example: |
        -----BEGIN PUBLIC KEY-----
        MHYwEAYHKoZIzj0CAQYFK4EEACIDYgAETOl+t2xT1p21AXF+cvd35uKRDOeXejEJ
        3KTMc+vVD+wEs4TSVGYt2OlICe7dTRtbtUGr/xN9xZsolH3DeFVWXjd0IJ1ZNzC+
        hippE8XApU7phY/KVKEbrrW8fg72uJiP
        -----END PUBLIC KEY-----
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````